---
lang: en
title: 'API docs: context.resolutionsession.pushbinding'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.resolutionsession.pushbinding.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [ResolutionSession](./context.resolutionsession.md) &gt; [pushBinding](./context.resolutionsession.pushbinding.md)

## ResolutionSession.pushBinding() method

Enter the resolution of the given binding. If

<b>Signature:</b>

```typescript
pushBinding(binding: Readonly<Binding>): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  binding | Readonly&lt;[Binding](./context.binding.md)<!-- -->&gt; | Binding |

<b>Returns:</b>

void


